package it.sw.pa.comune.artegna.service.mapper;

import static it.sw.pa.comune.artegna.domain.MessaggioAsserts.*;
import static it.sw.pa.comune.artegna.domain.MessaggioTestSamples.*;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

class MessaggioMapperTest {

    private MessaggioMapper messaggioMapper;

    @BeforeEach
    void setUp() {
        messaggioMapper = new MessaggioMapperImpl();
    }

    @Test
    void shouldConvertToDtoAndBack() {
        var expected = getMessaggioSample1();
        var actual = messaggioMapper.toEntity(messaggioMapper.toDto(expected));
        assertMessaggioAllPropertiesEquals(expected, actual);
    }
}
